# mastofeeds
Newsfeed Bot for Mastodon

Publish to Mastodon's server the rss feed of your choice.

### Dependencies

-   **Python 3**
-   Postgresql server
-   Everything else at the top of `mastofeeds.py`!

### Usage:

Within Python Virtual Environment:

1. Run 'python db-setup.py' to create needed database and table. It's needed to control what feeds are already published. db-setup.py

2. Run 'python setup.py' to get your bot's access token of an existing user. It will be saved to 'secrets/secrets.txt' for further use.

3. Run 'python mastofeeds.py' to start publishing feeds.

4. Use your favourite scheduling method to set mastofeeds.py to run regularly. 

Note: install all needed packages with 'pip install package' or use 'pip install -r requirements.txt' to install them. 


